Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.labkey.remoteapi.query
Class GetQueriesCommand

    java.lang.Object
      org.labkey.remoteapi.Command<GetQueriesResponse>
          org.labkey.remoteapi.query.GetQueriesCommand

    public class GetQueriesCommand

extends Command<GetQueriesResponse>

Command for obtaining the list of queries available within a given schema.

Nested Class Summary

Nested classes/interfaces inherited from class org.labkey.remoteapi.Command
`Command.CommonParameters`

Field Summary

Fields inherited from class org.labkey.remoteapi.Command
`CONTENT_TYPE_JSON`

Constructor Summary
`GetQueriesCommand(GetQueriesCommand source)`
`GetQueriesCommand(java.lang.String schemaName)` Constructs the command given a particular schema name.

Method Summary
`GetQueriesCommand` | `copy()` Returns a copy of this object.
`protected GetQueriesResponse` | `createResponse(java.lang.String text, int status, java.lang.String contentType, org.json.simple.JSONObject json)` Creates an instance of the response class, initialized with the response text and the HTTP status code.
`java.util.Map<java.lang.String,java.lang.Object>` | `getParameters()` Returns the current parameter map, or null if a map has not yet been set.
`java.lang.String` | `getSchemaName()`
`boolean` | `isIncludeColumns()`
`boolean` | `isIncludeUserQueries()`
`void` | `setIncludeColumns(boolean includeColumns)` Pass false to omit information about the columns within each query.
`void` | `setIncludeUserQueries(boolean includeUserQueries)` Pass false to this method to omit user-defined queries from the results.
`void` | `setSchemaName(java.lang.String schemaName)`

Methods inherited from class org.labkey.remoteapi.Command
`createMethod, execute, getActionName, getActionUrl, getControllerName, getHttpMethod, getParamValueAsString, getQueryString, getRequiredVersion, getTimeout, setParameters, setRequiredVersion, setTimeout`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetQueriesCommand

    public GetQueriesCommand(java.lang.String schemaName)

  Constructs the command given a particular schema name.

  Parameters:
    `schemaName` - The schema name.

### GetQueriesCommand

    public GetQueriesCommand(GetQueriesCommand source)

Method Detail

### getSchemaName

    public java.lang.String getSchemaName()

### setSchemaName

    public void setSchemaName(java.lang.String schemaName)

### isIncludeUserQueries

    public boolean isIncludeUserQueries()

### setIncludeUserQueries

    public void setIncludeUserQueries(boolean includeUserQueries)

  Pass false to this method to omit user-defined queries from the results. By default user-defined queries are included.

  Parameters:
    `includeUserQueries` - Set to false to omit user-defined queries.

### isIncludeColumns

    public boolean isIncludeColumns()

### setIncludeColumns

    public void setIncludeColumns(boolean includeColumns)

  Pass false to omit information about the columns within each query. By default column information is included.

  Parameters:
    `includeColumns` - Set to false to omit column information.

### getParameters

    public java.util.Map<java.lang.String,java.lang.Object> getParameters()

  Description copied from class: `Command`
  Returns the current parameter map, or null if a map has not yet been set. Derived classes will typically override this method to provide a parameter map based on data members set by specialized setter methods.

  Overrides:
    `getParameters` in class `Command<GetQueriesResponse>`
  Returns:
    The current parameter map.

### createResponse

    protected GetQueriesResponse createResponse(java.lang.String text,
                                                int status,
                                                java.lang.String contentType,
                                                org.json.simple.JSONObject json)

  Description copied from class: `Command`
  Creates an instance of the response class, initialized with the response text and the HTTP status code.

  Override this method to create an instance of a different class that extends CommandResponse

  Overrides:
    `createResponse` in class `Command<GetQueriesResponse>`
  Parameters:
    `text` - The response text from the server.
    `status` - The HTTP status code.
    `contentType` - The Content-Type header value.
    `json` - The parsed JSONObject (or null if no JSON was returned).
  Returns:
    An instance of the response object.

### copy

    public GetQueriesCommand copy()

  Description copied from class: `Command`
  Returns a copy of this object. Derived classes should override this to copy their own data members

  Overrides:
    `copy` in class `Command<GetQueriesResponse>`
  Returns:
    A copy of this object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD